Bug 15770 - up2date doesn't start
Summary: up2date doesn't start
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-08 21:06 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 21:06:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-08-08 21:06:17 UTC
open a xterm as normal user, su to root export you display (make sure that
you have xhost localhost) and start up2date.
Here is the output of up2date 

traceback (innermost last):
  File "/usr/sbin/up2date", line 205, in ?
    c.getPackageList()
  File "/usr/share/up2date/client.py", line 313, in getPackageList
    version = getVersion()
  File "/usr/share/up2date/client.py", line 27, in getVersion
    db = RPMDatabase(0, "/")
  File "/usr/share/up2date/rpmdb.py", line 64, in __init__
    self.OpenDatabase(Write, Prefix)
  File "/usr/share/up2date/rpmdb.py", line 28, in OpenDatabase
    self.reopen()
  File "/usr/share/up2date/rpmdb.py", line 46, in reopen
    key = self.db.firstkey()
AttributeError: firstkey

Comment 1 Preston Brown 2000-08-20 17:12:54 UTC
fixed for release.


Note You need to log in before you can comment on or make changes to this bug.